package structs

type CreatedGuest struct {
	Status string `json:"status"`
	Data   struct {
		Id    string `json:"id"`
		Token string `json:"token"`
	} `json:"data"`
}

type Guest struct {
	Status string `json:"status"`
	Data   struct {
		Id           string `json:"id"`
		Email        string `json:"email"`
		Tier         string `json:"tier"`
		Token        string `json:"token"`
		RootFolder   string `json:"rootFolder"`
		StatsCurrent struct {
			FileCount   int `json:"fileCount"`
			FolderCount int `json:"folderCount"`
			Storage     int `json:"storage"`
		} `json:"statsCurrent"`
		StatsHistory struct {
		} `json:"statsHistory"`
		FilesCount        int    `json:"filesCount"`
		TotalSize         int    `json:"totalSize"`
		Total30DDLTraffic int    `json:"total30DDLTraffic"`
		Credit            int    `json:"credit"`
		Currency          string `json:"currency"`
		CurrencySign      string `json:"currencySign"`
	} `json:"data"`
}
